Facebook Twitter YouTube Frictional Games | Forum | Privacy Policy | Dev Blog | Dev Wiki | Support | Gametee


Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Error: Couldn't find any suitable frontend for your system (x86_64)
bugmenot Offline
Member

Posts: 93
Threads: 20
Joined: Nov 2006
Reputation: 0
#1
Solved: 3 Years, 3 Months, 4 Weeks ago Error: Couldn't find any suitable frontend for your system (x86_64)

Hi,

I bought Amnesia through the Humble Bundle and am stuck on install. The details
are in the following shell session:

~/games $ uname -a
Linux billie 3.3.7-1-ARCH #1 SMP PREEMPT Tue May 22 00:26:26 CEST 2012 x86_64 GNU/Linux
~/games $ md5sum amnesia_tdd_1.2.1.sh
83a2ea3c97b2da37638914071eb64257 amnesia_tdd_1.2.1.sh
~/games $ sh amnesia_tdd_1.2.1.sh
Verifying archive integrity... All good.
Uncompressing Installer for Amnesia - The Dark Descent.............
Uncompressing sub
archive...............................................................................................................................................
Collecting info for this system...
Operating system: linux
CPU Arch: x86_64
Error: Couldn't find any suitable frontend for your system


I couldn't find the answer to this problem on the support system and searches on
the forum have not revealed anything. Is there a known fix for this problem? Do
you need some more info to solve the problem?

Cheers,

It might be a problem of free-space. A similar issue appeared on another game and was fixed by setting a different temporary directory for unzipping target.

I'll keep this thread updated when I have time to try this.
(This post was last modified: 06-03-2012, 10:42 PM by bugmenot.)
06-03-2012, 10:16 PM
Find
Urkle Offline
FG - Associate

Posts: 1,172
Threads: 31
Joined: Jul 2006
Reputation: 21
#2
Solved: 3 Years, 3 Months, 4 Weeks ago RE: Error: Couldn't find any suitable frontend for your system (x86_64)

Make sure to download the latest amnesia .sh installer (it was updated yesterday morning). It reduced the amount of /tmp space needed and fixes an error with the --target. the MD5 should be 7fa8720ce834bdcf4d44031d60a74f41

Developing away on one of
Multiple Macs running 10.6, 10.7, 10.8, and 10.9.
Linux, 8-core AMD, 8GB RAM, Fedora 18, nVidia 450 1GB
06-04-2012, 01:29 AM
Website Find
bugmenot Offline
Member

Posts: 93
Threads: 20
Joined: Nov 2006
Reputation: 0
#3
Solved: 3 Years, 3 Months, 4 Weeks ago RE: Error: Couldn't find any suitable frontend for your system (x86_64)

Using the --target fixed the problem.

There is another error (a segfault related to the AL lib frequency setting). I'll try with the new version and report if the problem persists.

As for the md5, Humble Bundle's website reports 9cbc55cceed341a2fa2b50e2f3aa0374 as the correct md5. Another update?
06-05-2012, 06:49 PM
Find
Urkle Offline
FG - Associate

Posts: 1,172
Threads: 31
Joined: Jul 2006
Reputation: 21
#4
Solved: 3 Years, 3 Months, 4 Weeks ago RE: Error: Couldn't find any suitable frontend for your system (x86_64)

yeah there was another small update.

Developing away on one of
Multiple Macs running 10.6, 10.7, 10.8, and 10.9.
Linux, 8-core AMD, 8GB RAM, Fedora 18, nVidia 450 1GB
06-05-2012, 07:14 PM
Website Find
bugmenot Offline
Member

Posts: 93
Threads: 20
Joined: Nov 2006
Reputation: 0
#5
Solved: 3 Years, 3 Months, 4 Weeks ago RE: Error: Couldn't find any suitable frontend for your system (x86_64)

Ok, the last version installs… but the installed binary raises an error on an openAL primitive.

Making a new thread so as not to mix problem.
06-06-2012, 07:39 PM
Find




Users browsing this thread: 1 Guest(s)